Results 1 to 8 of 8

Thread: Installed Ubuntu 10.04

  1. #1
    Join Date
    Mar 2009
    Posts
    211

    Default Installed Ubuntu 10.04

    OSS driver 2d perf. makes crapalyst look like, well, the crap that it is. Unfortunately I need more recent OpenGL support and kind of like better than COMPLETE crap power management(v. semi-crap, at least comapred to windoze).

    AMD also appears to think that their supposedly pro customers are still wedded to 32b land given their continuous 32b deps... WTF?! Pro? 32b?

    AMD is, apparently, in DIRE need of some adults in charge...
    MSI GT725-074US:
    Intel Core 2 Duo P8600, 4GB DDR2-800, 320GB 7200RPM WDC WD3200BEKT-22F3T0, ATI Mobility Radeon HD 4850 512MB GDDR3, 8x Super multi DVD+/-RW, 1680x1050 (17"), 9 cell battery

    Ubuntu 8.10 x86-64 (current updates) catalyst 9.3
    Windows Vista Home Premium 32b SP1 (current update) still on shipped catalyst(8.12 I think, MSI packed -- lazy)

  2. #2
    Join Date
    Mar 2009
    Posts
    211

    Default

    Well, since we're faggotly prevented from editing messages, I'll waste my time once more looking ENTIRELY unclear 32b deps for AMD crap(hopefully for the last time, as I've better things to do with my time that Intel and nVidia understand about)...

    I still can't get over 32b deps... for "supposedly" "pro" drivers... AMD has some anachronistic customers apparently...
    MSI GT725-074US:
    Intel Core 2 Duo P8600, 4GB DDR2-800, 320GB 7200RPM WDC WD3200BEKT-22F3T0, ATI Mobility Radeon HD 4850 512MB GDDR3, 8x Super multi DVD+/-RW, 1680x1050 (17"), 9 cell battery

    Ubuntu 8.10 x86-64 (current updates) catalyst 9.3
    Windows Vista Home Premium 32b SP1 (current update) still on shipped catalyst(8.12 I think, MSI packed -- lazy)

  3. #3
    Join Date
    Sep 2008
    Posts
    989

    Default

    In what way does a 64-bit AMD driver have any 32-bit dependencies whatsoever? Even the control center, which is not necessary for the driver, is 64-bit:

    $ file /usr/bin/amdcccle
    /usr/bin/amdcccle: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.4.18, not stripped

    The Catalyst drivers do install 32-bit compatibility libraries. These are installed so that 32-bit applications can still take advantage of 3d rendering. But the 32-bit compatibility libraries are not used when you run 64-bit programs. Would you rather that they remove the 32-bit compatibility libraries so you are forced into running only 64-bit programs? This would completely disable wine, for instance, since wine executing 32-bit Windows code must be a 32-bit Linux executable.

    Are you encountering an error when trying to use the Catalyst driver? If so, it would serve you much better to present the exact error messages you are getting, and what commands you are executing to produce said errors. This is an appropriate forum for community tech support regarding the Catalyst drivers, but providing non-constructive criticism to AMD has exactly zero impact on what the community can do to help you.

    BTW, the 1-minute edit limit is something that a lot of people have spent a great deal of time whining about, and Michael is well aware of the problem. He will fix it when he has time. Until then, the edit limit serves as a sort of unintended feature: it forces you to re-read your post to ensure that you've said everything you meant to say. This is something you should do anyway, so the limitation works to encourage you to do something beneficial -- it's not all bad (although I still think the edit time should be extended).

    If you still wish to seek technical support from the community, please provide all of the following:

    • Which Linux distribution are you using?
    • What graphics card do you have (including model number)?
    • Do you have a customized X.Org stack, or are you using the one provided by your distro?
    • What method did you use (or try to use) to install the Catalyst driver? What exact error messages or problems did you encounter with the install?
    • If your problem is unrelated to the install, please indicate which application programs exhibit the worst symptoms of the problem you are having (be it performance, crashes, lockups, etc.)
    • Please provide the full output of the glxinfo command, when run from the terminal as an ordinary user.


    Note that the Catalyst driver is not perfect, and even if properly installed and configured on supported hardware, you may still run into issues. That said, there are many opportunities for you to make a mistake as a user. The reason we ask for all this information is to ensure that you are not making a mistake in installing or configuring the driver. Only then can we tell you whether your issue is the fault of the Catalyst driver, or the application you're using.

    The first thing we must do is rule out the possibility that your problem is your fault. This is not because we think you are stupid, but rather, because many people -- even very experienced programmers and sysadmins -- have been known to make mistakes when installing Catalyst.

  4. #4
    Join Date
    Mar 2009
    Posts
    211

    Default

    nm this board has crap reqs
    MSI GT725-074US:
    Intel Core 2 Duo P8600, 4GB DDR2-800, 320GB 7200RPM WDC WD3200BEKT-22F3T0, ATI Mobility Radeon HD 4850 512MB GDDR3, 8x Super multi DVD+/-RW, 1680x1050 (17"), 9 cell battery

    Ubuntu 8.10 x86-64 (current updates) catalyst 9.3
    Windows Vista Home Premium 32b SP1 (current update) still on shipped catalyst(8.12 I think, MSI packed -- lazy)

  5. #5
    Join Date
    Mar 2009
    Posts
    211

    Default

    DKMS was one dep that I missed, part of the driver is now building again... it also originally downloaded a crapload of deps all by itself when run the first time after a fresh install, but that apparently doesn't really work as it misses a bunch...

    BTW there were also 32b deps, but I'll have to look through the logs tomorrow as I've been up for nearly 48h now at this point and plan to go to sleep right now. (I had expected this exercise to take about half an hour, but it's dragged on-and-on so far... so I'll leave the rest for tomorrow...)
    MSI GT725-074US:
    Intel Core 2 Duo P8600, 4GB DDR2-800, 320GB 7200RPM WDC WD3200BEKT-22F3T0, ATI Mobility Radeon HD 4850 512MB GDDR3, 8x Super multi DVD+/-RW, 1680x1050 (17"), 9 cell battery

    Ubuntu 8.10 x86-64 (current updates) catalyst 9.3
    Windows Vista Home Premium 32b SP1 (current update) still on shipped catalyst(8.12 I think, MSI packed -- lazy)

  6. #6
    Join Date
    Mar 2009
    Posts
    211

    Default

    meh, more comments in the morning... 10.4 seems to be behaving poorly, beyond it's horrid color schema and poor choice of default(useless) apps..

    anyways, I need at least 6h of sleep which I hopefully will be getting...

    (This is an entirely new clean install with ext4. ext4 "full" default support was one of the reasons for a new "clean" install... but 10.4 "features" are already driving me nuts...)

    BTW: I'm still pretty sure that there was a 32b lib dep which I ignored and worked around, before I ran into DKMS and friends also missing... The build scripts also triggered a bunch of other deps to install when invoked on a squeaky clean install... definitely off to bed now... fix things in morning...
    MSI GT725-074US:
    Intel Core 2 Duo P8600, 4GB DDR2-800, 320GB 7200RPM WDC WD3200BEKT-22F3T0, ATI Mobility Radeon HD 4850 512MB GDDR3, 8x Super multi DVD+/-RW, 1680x1050 (17"), 9 cell battery

    Ubuntu 8.10 x86-64 (current updates) catalyst 9.3
    Windows Vista Home Premium 32b SP1 (current update) still on shipped catalyst(8.12 I think, MSI packed -- lazy)

  7. #7
    Join Date
    Mar 2009
    Posts
    211

    Default

    hmmmppph side not before going to bed, on a whim even with the OSS driver (10.4) or the prop 10.6 cat driver the LCD brightness feedback dialog thingy does not correctly reflect in a linear fashion the brightness level. The lowest bar setting is actually about the 2nd from lowest brihtness setting, while two segments filled from lowest s actually the lowest backlight setting.

    It did work at one time, but has been broken for a while even back when I was just doing dist-upgrade which I, initially assumed had broken it... this new clean install has roughly the same problem...

    now definitely bed
    MSI GT725-074US:
    Intel Core 2 Duo P8600, 4GB DDR2-800, 320GB 7200RPM WDC WD3200BEKT-22F3T0, ATI Mobility Radeon HD 4850 512MB GDDR3, 8x Super multi DVD+/-RW, 1680x1050 (17"), 9 cell battery

    Ubuntu 8.10 x86-64 (current updates) catalyst 9.3
    Windows Vista Home Premium 32b SP1 (current update) still on shipped catalyst(8.12 I think, MSI packed -- lazy)

  8. #8
    Join Date
    Sep 2008
    Posts
    989

    Default

    I am not sure where you are reading instructions to do what you are doing, but it's no wonder you are encountering dependency problems. The `dpkg' utility does not track dependencies.

    If you are tired of messing with the install instructions, you could simply forget all of this manual work and just run this script, which should handle all the complexities for you: http://www.kanotix.com/files/install-fglrx-debian.sh

    I've tested it, and it successfully downloads and installs Catalyst 10.6 on Ubuntu 10.04 x86_64 here.

    Also, re-read what I said about the 32-bit compatibility libraries. These libraries may have 32-bit dependencies, which is reasonable for a 32-bit library.

    Basically, the 32-bit OpenGL support is provided so you can run closed source 32-bit OpenGL apps, or open source apps that do not build as 64-bit. This 32-bit support has its own set of dependencies, but they are not very many, and they are never used unless you run a 32-bit program.

    So even if Catalyst does depend on 32-bit libraries, they are only used to provide an optional feature to users. If you are running native 64-bit apps, you will never touch a single 32-bit library anywhere in the stack, guaranteed -- so the 32-bit libraries that are installed are just data sitting on your disk. If you have a decently sized HDD, this shouldn't make a dent in your disk usage.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •